package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.relatorios.utilitarios.Relatorio;
import com.rjconsultores.ventaboletos.vo.comissao.HistoricoComissao;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioHistoricoComissaoGeral extends Relatorio {

	public RelatorioHistoricoComissaoGeral(Map<String, Object> parametros, Connection conexao) {
		super(parametros, conexao);

		List<HistoricoComissao> historico = (List<HistoricoComissao>) parametros.get("historico");
		setLsDadosRelatorio(historico);
	}

	public void setLsDadosRelatorio(List<HistoricoComissao> historico) {
		this.setCollectionDataSource(new JRBeanCollectionDataSource(historico));
	}

	@Override
	protected void processaParametros() throws Exception {
	}

}
